Anope IRC Services

Please login or register.

Login with username, password and session length
Advanced search  

News:

Pages: [1]   Go Down

Author Topic: Upgrading from 1.8.4 -> 1.9.3  (Read 3025 times)

0 Members and 1 Guest are viewing this topic.

Nathan

  • Anope User
  • Offline Offline
  • Posts: 2
Upgrading from 1.8.4 -> 1.9.3
« on: April 25, 2011, 07:55:52 PM »

Hello, I'm not sure what the problem is but i'm trying to upgrade a database from 1.8.4 to 1.9.3 using db-convert and the services segfaults when trying to load the anope.db file

the database is not small..like 1,000 users, 1,000 channels..although i don't see why that would be a problem

i realize that 1.9.3 is a development release but this is for a test network, not the actual network..just preparing for the stable release

hope i included enough information.

hopefully someone knows further information

thanks
Logged

Adam

  • Team
  • *
  • Offline Offline
  • Posts: 463
Re: Upgrading from 1.8.4 -> 1.9.3
« Reply #1 on: April 25, 2011, 08:48:14 PM »

You should use first db-convert then db-update
Logged

Nathan

  • Anope User
  • Offline Offline
  • Posts: 2
Re: Upgrading from 1.8.4 -> 1.9.3
« Reply #2 on: April 26, 2011, 05:31:59 AM »

Yeah i tried that in one of my efforts to try and upgrade the db but still


[Apr 26 06:31:05.580078 2011] Debug: Loading databases...
Segmentation fault

any idea?

thanks
« Last Edit: April 26, 2011, 05:40:10 AM by Nathan »
Logged
Pages: [1]   Go Up